<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
if ($ya['level'] > 5) {
switch($mode) {
//Изменяем раздел
case 'renraz':
if ($id) {
$sq = $db -> query("SELECT * FROM `forum_razdel` where `id`='$id'");
if ($sq -> num_rows > 0) {
$fo = $sq -> fetch_assoc();
if (!isset($_POST['name'])){
$diz -> head('Управление форумом');
$diz -> title('Изменяем раздел');
$opt .= '<option value="'.$fo['forum'].'">Не менять</option>';
$for = $db -> query("SELECT `id`,`name` FROM `forums` where `id`<>'$fo[forum]'");
while ($assoc = $for -> fetch_assoc()) {
$opt .= '<option value="'.$assoc['id'].'">'.$assoc['name'].'</option>';
}
$msg = '<div class="fon">Введите название:
<form action="forums.php?mode=renraz&amp;id='.$id.'" method="post"><div>
<input type="text" name="name" value="'.$fo['name'].'" maxlength="40"/><br/>
Выберите форум:<br/>
<select name="forum">'.$opt.'</select><br/>
<input type="submit" value="Изменить"/>
</form></div>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="forums.php">Управление форумом</a>';
$msg .= '<br/>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$forum = (!empty($_POST['forum'])) ? abs((int)$_POST['forum']) : null;
$db -> query("UPDATE `forum_razdel` SET `name` = '".$name."',`forum`='".$forum."' WHERE `id` = '".$id."' LIMIT 1");
$diz -> head('Управление форумом');
$diz -> title('Изменяем раздел');
$msg .= '<div class="fon">Раздел был изменен!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="forums.php">Управление форумом</a>';
$msg .= '<br/>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else header('location: forums.php');
}
break;
//Изменяем форум
case 'renforum':
if ($id) {
$sq = $db -> query("SELECT * FROM `forums` where `id`='".$id."'");
if ($sq -> num_rows > 0) {
$fo = $sq -> fetch_assoc();
if (!isset($_POST['name'])){
$diz -> head('Управление форумом');
$diz -> title('Изменяем форум');
$msg .= '<div class="fon">Введите название:
<form action="forums.php?mode=renforum&amp;id='.$id.'" method="post"><div>
<input type="text" name="name" value="'.$fo['name'].'" maxlength="40"/><br/>
<input type="submit" value="Изменить"/>
</form></div>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="forums.php">Управление форумом</a>';
$msg .= '<br/>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$db -> query("UPDATE `forums` SET `name` = '".$name."' WHERE `id` = '".$id."' LIMIT 1");
$diz -> head('Управление форумом');
$diz -> title('Изменяем форум');
$msg .= '<div class="fon">Форум был изменен!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="forums.php">Управление форумом</a>';
$msg .= '<br/>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else header('location: forums.php');
}
break;
/////////Удаляем форум
case 'del':
if ($ya['level'] == 7) {
$sql = $db -> query("SELECT * FROM `forums` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
switch($do) {
case 'yes':
$delrazdel = $db -> query("SELECT * FROM `forum_razdel` where `forum`='".$id."'");
while ($del1 = $delrazdel -> fetch_assoc()) {
$delposts = $db -> query("SELECT * FROM `forum_posts` where `razdel`='".$del1['id']."' and `size`>'0'");
while ($del2 = $delposts -> fetch_assoc()) {
unlink('../forum/files/misteram_ru_'.$del2['file']);
}
$db -> query("DELETE FROM `forum_tems` where `razdel` = '".$del1['id']."'");
$db -> query("DELETE FROM `forum_posts` where `razdel` = '".$del1['id']."'");
}
$db -> query("DELETE FROM `forum_razdel` where `forum` = '".$id."'");
$db -> query("DELETE FROM `forums` where `id` = '".$id."'");
$diz -> head('Удаление форума');
$diz -> title('Удаление форума');
$msg .= '<div class="fon">Форум был успешно удалён!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="forums.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;

default:
$diz -> head('Удаление форума');
$diz -> title('Удаление форума');
$msg .= '<div class="fon">Вы уверены,что хотите удалить данный форум и всё,что он содержит?';
$msg .= '<br/><a href="./forums.php?mode=del&amp;do=yes&amp;id='.$id.'">Да</a> | ';
$msg .= '<a href="./forums.php">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);}
} else header('Location: ./forums.php');
} else header('Location: ./forums.php');
break;

//Создаем форум
case 'crforum':
if (empty($_POST['name'])){
$diz -> head('Управление форумом');
$diz -> title('Создаем форум');
$msg .= '<div class="fon">Введите название:
<form action="./forums.php?mode=crforum" method="post"><div>
<input type="text" name="name" maxlength="40"/><br/>
<input type="submit" value="Создать"/>
</form></div>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="forums.php">Управление форумом</a>';
$msg .= '<br/>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$fo = $db -> query("SELECT * FROM `forums` WHERE `name` = '".$name."' LIMIT 1");
if ($fo -> num_rows > 0) {
     $diz -> head('Ошибка');
     $diz -> title('Ошибка');
     $msg .= '<div class="fon">Форум с данным именем уже существует!</div>';
     header('refresh: 3; url=forums.php?mode=crforum');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}else{
$sid = $db -> dbcount('MAX(`sid`)','forums');
$db -> query("INSERT INTO `forums` SET `name` = '".$name."',`sid`=$sid+1");
$diz -> head('Управление форумом');
$diz -> title('Создаем форум');
$msg .= '<div class="fon">Форум: <b>'.$name.'</b> успешно создан!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="forums.php">Управление форумом</a>';
$msg .= '<br/>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
}
break;
////Создаём раздел
case 'crrazd':
$sql = $db -> query("SELECT `id` FROM `forums`");
if ($sql -> num_rows > 0) {
if (empty($_POST['name']) || empty($_POST['forum'])) {
$diz -> head('Управление форумом');
$diz -> title('Создаем раздел');
$for = $db -> query("SELECT `id`,`name` FROM `forums`");
while ($assoc = $for -> fetch_assoc()) {
$opt .= '<option value="'.$assoc['id'].'">'.$assoc['name'].'</option>';
}
$msg .= '<div class="fon">Введите название:
<form action="forums.php?mode=crrazd" method="post"><div>
<input type="text" name="name" maxlength="40"/><br/>
Выберите форум:<br/>
<select name="forum">'.$opt.'</select><br/>
<input type="submit" value="Создать"/>
</form></div>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="forums.php">Управление форумом</a>';
$msg .= '<br/>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$fid = abs((int)$_POST['forum']);
$raz = $db -> query("SELECT * FROM `forum_razdel` WHERE `name` = '".$name."' and `forum` = '".$fid."' LIMIT 1");
if ($raz -> num_rows > 0) {
     $diz -> head('Ошибка');
     $diz -> title('Ошибка');
     $msg .= '<div class="fon">Раздел с данным именем уже существует!</div>';
     header('refresh: 3; url=forums.php?mode=crrazd');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);
}else{
$sql = $db -> query("SELECT `id` FROM `forums` WHERE `id` = '".$fid."' LIMIT 1");
if ($sql -> num_rows > 0) {
$sid = $db -> dbcount('MAX(`sid`)','forum_razdel','`forum`='.$fid.'');
$db -> query("INSERT INTO `forum_razdel` SET `forum` = '".$fid."', `name` = '".$name."',`sid` =$sid+1");
$diz -> head('Управление форумом');
$diz -> title('Создаем раздел');
$msg .= '<div class="fon">Раздел <b>'.$name.'</b> успешно создан!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="forums.php">Управление форумом</a>';
$msg .= '<br/>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);

} else header('location: forums.php?mode=crrazd');
}
}
}else{
header('Refresh: 2; url=forums.php');
$diz -> head('Ошибка');
$diz -> title('Ошибка');
$diz -> out('Извините,но вы не создали ещё ни одного форума!');
}
break;
////переместительные фун-ии
case 'fup':
$sql = $db -> query("SELECT * FROM `forums` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$db -> query("UPDATE `forums` SET `sid` =sid+1 WHERE `sid`=sid-1");
$db -> query("UPDATE `forums` SET `sid`=sid-2 WHERE `id` = '".$id."'");
header('Location: ./forums.php');
} else header('Location: ./forums.php');
break;

case 'foot':
$sql = $db -> query("SELECT * FROM `forums` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$db -> query("UPDATE `forums` SET `sid`=sid-1 WHERE `sid`=sid+1");
$db -> query("UPDATE `forums` SET `sid`=sid+2 WHERE `id` = '".$id."'");
header('Location: ./forums.php');
} else header('Location: ./forums.php');
break;

case 'rup':
$sql = $db -> query("SELECT * FROM `forum_razdel` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$db -> query("UPDATE `forum_razdel` SET `sid` =sid+1 WHERE `id` = '".$id."'");
$db -> query("UPDATE `forum_razdel` SET `sid`=sid-2 WHERE `id` = '".$id."'");
header('Location: ./forums.php?act='.$act.'');
} else header('Location: ./forums.php?act='.$act.'');
break;

case 'root':
$sql = $db -> query("SELECT * FROM `forum_razdel` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$db -> query("UPDATE `forum_razdel` SET `sid`=sid-1 WHERE `sid`=sid+1");
$db -> query("UPDATE `forum_razdel` SET `sid`=sid+2 WHERE `id` = '".$id."'");
header('Location: ./forums.php?act='.$act.'');
} else header('Location: ./forums.php?act='.$act.'');
break;

////////////Удаление раздела
case 'rdel':
if ($ya['level'] == 7) {
$sql = $db -> query("SELECT * FROM `forum_razdel` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
switch($do) {
case 'yes':
$delfiles = $db -> query("SELECT * FROM `forum_posts` where `razdel`='$id' and `size`>'0'");
while ($delete = $delfiles -> fetch_assoc()) {
unlink('../forum/files/misteram_ru_'.$delete['file']);
}
$db -> query("DELETE FROM `forum_tems` where `razdel` = '".$id."'");
$db -> query("DELETE FROM `forum_posts` where `razdel` = '".$id."'");
$db -> query("DELETE FROM `forum_razdel` where `id` = '".$id."'");
$diz -> head('Удаление раздела');
$diz -> title('Удаление раздела');
$msg .= '<div class="fon">Раздел был успешно удалён!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="forums.php">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;

default:
$diz -> head('Удаление раздела');
$diz -> title('Удаление раздела');
$msg .= '<div class="fon">Вы уверены,что хотите удалить данный раздел?';
$msg .= '<br/><a href="./forums.php?mode=rdel&amp;do=yes&amp;id='.$id.'">Да</a> | ';
$msg .= '<a href="./forums.php">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);}
} else header('Location: ./forums.php');
} else header('Location: ./forums.php');
break;
//////////////////////////////////////////////////////
default:
$diz -> head('Управление форумом');
$diz -> title('Управление форумом');
$sql1 = $db -> query("SELECT * FROM `forums` ORDER BY `sid`");
while ($forum = $sql1 -> fetch_assoc()) {
$msg .= '<div class="new">'.$diz -> img('f.png').' '.$forum['sid'].') <a href="?act=open'.$forum['id'].'">'.$forum['name'].'</a></br>';
$msg .='<a href="./forums.php?mode=renforum&amp;id='.$forum['id'].'">Редактировать</a>';
if ($ya['level'] == 7) {
$msg .=' | <a href="./forums.php?mode=del&amp;id='.$forum['id'].'">Удалить</a></br>';}
$msg .='Передвинуть: <a href="./forums.php?mode=fup&amp;id='.$forum['id'].'">Вверх</a> | <a href="./forums.php?mode=foot&amp;id='.$forum['id'].'">Вниз</a></div>';
if($act=='open'.$forum['id'].''){
$sql2 = $db -> query("SELECT * FROM `forum_razdel` where `forum`='$forum[id]' ORDER BY `sid`");
while ($razdel = $sql2 -> fetch_assoc()) {
$msg .= '<div class="top">'.$diz -> img('r.png').' '.$razdel['sid'].') '.$razdel['name'].'</br>';
$msg .='<a href="./forums.php?mode=renraz&amp;id='.$razdel['id'].'">Редактировать</a>';
if ($ya['level'] == 7) {
$msg .='  | <a href="./forums.php?mode=rdel&amp;id='.$razdel['id'].'">Удалить</a></br>';}
$msg .='Передвинуть: <a href="./forums.php?mode=rup&amp;id='.$razdel['id'].'&act=open'.$forum['id'].'">Вверх</a> | <a href="./forums.php?mode=root&amp;id='.$razdel['id'].'&act=open'.$forum['id'].'">Вниз</a></div>';
}
}
}
$msg .= '<div class="tochechki"><a href="./forums.php?mode=crforum">Создать форум</a></br>';
$msg .= '<a href="./forums.php?mode=crrazd">Создать раздел</a></div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
}else{$msg .='У вас нету прав!';}
} else header('location: index.php');
?>